Bug 167597 - gphoto2 doesn't work anymore ("corrupted data" error)
gphoto2 doesn't work anymore ("corrupted data" error)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 22:31 EDT by Luis A. Florit
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 04:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis A. Florit 2005-09-05 22:31:40 EDT
Description of problem: I have a Canon SD500 (Ixus 700) that I
always used with gphoto without problems. But now, I am getting 
a "Corrupted data" error, and gphoto does not work anymore (FC4 
fully updated with both gphoto2-2.1.6-1 and testing gphoto2-2.1.6-1
RPM's). I cannot access the Camera card, independently of its 
content (even when empty).

Perhaps this bug is related to some of these:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167347
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162516

Some debug:

........lots of:
0.281217 gphoto2-port-info-list(2): Loaded 'Serial Port 27' (serial:/dev/ttyS27)
from
'libgphoto2_port_serial.so'
0.281276 gphoto2-port-info-list(2): Loaded 'Serial Port 28' (serial:/dev/ttyS28)
from
'libgphoto2_port_serial.so'
0.281333 gphoto2-port-info-list(2): Loaded 'Serial Port 29' (serial:/dev/ttyS29)
from
'libgphoto2_port_serial.so'
0.281390 gphoto2-port-info-list(2): Loaded 'Serial Port 30' (serial:/dev/ttyS30)
from
'libgphoto2_port_serial.so'
0.281446 gphoto2-port-info-list(2): Loaded 'Serial Port 31' (serial:/dev/ttyS31)
from
'libgphoto2_port_serial.so'
0.281517 gphoto2-port-info-list(2): Loaded 'Serial Port 32' (serial:/dev/ttyS32)
from
'libgphoto2_port_serial.so'
0.281645 gphoto2-port-info-list(2): Loaded '' (^serial) from
'libgphoto2_port_serial.so'
0.282441 gphoto2-port-info-list(2): Loaded Úniversal Serial Bus' (usb:) from
'libgphoto2_port_usb.so'
0.282539 gphoto2-port-info-list(2): Loaded Úniversal Serial Bus' (usb:003,002)
from 'libgphoto2_port_usb.so'
0.282595 gphoto2-port-info-list(2): Loaded Úniversal Serial Bus' (usb:002,002)
from 'libgphoto2_port_usb.so'
0.282652 gphoto2-port-info-list(2): Loaded Úniversal Serial Bus' (usb:001,007)
from 'libgphoto2_port_usb.so'
0.282751 gphoto2-port-info-list(2): Looking for path úsb:' (38 entries available)...
0.282821 gphoto2-port-info-list(2): Getting info of entry 33 (38 available)...
0.282888 gphoto2-camera(2): Setting port info for port Úniversal Serial Bus' at
úsb:'...
0.283531 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
0.283609 gphoto2-port(2): Setting settings...
0.283668 gphoto2-setting(2): Setting key 'port' to value úsb:' (gphoto2)
0.283732 gphoto2-setting(2): Saving 24 setting(s) to file
"/home/gato/.gphoto/settings"
0.284270 gphoto2-camera(2): Listing files in '/'...
0.284350 gphoto2-camera(2): Initializing camera...
0.284422 gphoto2-port-usb(1): Looking for USB device (vendor 0x4a9, product
0x30f2)... found.
0.284482 gphoto2-port-usb(1): Detected defaults: config 1, interface 0,
altsetting 0, inep 81, outep 02, intep
83, class 06, subclass 01
0.284553 gphoto2-camera(2): Loading '/usr/lib/gphoto2/2.1.6/libgphoto2_canon.so'...
0.284784 gphoto2-port(2): Opening USB port...
0.284913 gphoto2-port(0): Could not query kernel driver of device.
0.284987 canon/library.c(2): canon camera_init()
0.285066 canon/library.c(2): GPhoto tells us that we should use a USB link.
0.285126 canon/usb.c(2): Initializing the (USB) camera.

0.287558 canon/usb.c(2): canon_usb_camera_init()
0.287643 canon/usb.c(2): canon_usb_identify: USB ID match 0x04a9:0x30f2 (model
name "Canon:PowerShot SD500
(normal mode)")
0.287720 context(2): Detected a Çanon:PowerShot SD500 (normal mode)'.
Detected a Çanon:PowerShot SD500 (normal mode)'.
0.287818 gphoto2-port(2): Reading message (request=0xc value=0x55 index=0x0
size=1=0x1)...
0.302545 gphoto2-port(3): Hexdump of 1 = 0x1 bytes follows:
0000  43                     -                         C

0.302640 canon/usb.c(2): canon_usb_camera_init() initial camera response:
C/Çamera was woken up'
0.302698 gphoto2-port(2): Reading message (request=0x4 value=0x1 index=0x0
size=88=0x58)...
0.306388 gphoto2-port(3): Hexdump of 88 = 0x58 bytes follows:
0000  18 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0010  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0020  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0030  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0040  01 06 15 83 04 a9 30 85-00 08 00 00 ff ff ff ff  ......0.........
0050  00 fd 00 00 00 fd 00 00-                         ........

0.306467 canon/usb.c(2): canon_usb_camera_init() set transfer length to 0x1400
0.306548 gphoto2-port(2): Writing message (request=0x4 value=0x11 index=0x0
size=80=0x50)...
0.306607 gphoto2-port(3): Hexdump of 80 = 0x50 bytes follows:
0000  10 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0010  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0020  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0030  00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00  ................
0040  00 08 00 00 ff ff ff ff-00 fd 00 00 00 fd 00 00  ................

0.313261 gphoto2-port(2): Reading 64=0x40 bytes from port...
0.313527 gphoto2-port(2): Could only read 0 out of 64 byte(s)
0.313585 gphoto2-port(3): Empty hexdump of empty buffer
0.313666 context(0): Step #4 failed! (returned 0, expected 64) Camera not
operational

*** Error ***
Step #4 failed! (returned 0, expected 64) Camera not operational
0.313830 gphoto2-port(2): Closing port...
*** Error (-102: Çorrupted data') ***

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
gphoto2 as follows:

    env LANG=C gphoto2 --debug --debug -P

Please make sure there is sufficient quoting around the arguments.

0.316531 gp-camera(2): Freeing camera...
0.316590 gphoto2-port(2): Freeing port...
0.316645 gphoto2-port(2): Closing port...
0.316737 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...
0.316792 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty
0.316850 gphoto2-filesystem(2): Internally deleting all folders from '/'...


Version-Release number of selected component (if applicable): 2.1.6-2

How reproducible: Always

Steps to Reproduce:
Turn on the camera, and do a 'gphoto2 -P'

  
Actual results: gphoto fails


Expected results: list or download pictures


Additional info:
Comment 1 Luis A. Florit 2005-12-11 20:28:23 EST
Are the bugs being processed? 
I mean: Is Fedora alive?? 
Comment 2 Radek Vokal 2005-12-16 04:16:48 EST
gphoto2 in rawhide switched to use HAL and udev, so this issue is probably gone.
Please try retesting in rawhide. 

Note You need to log in before you can comment on or make changes to this bug.